
PrefabFiles = {
	"rool",
	"gun",
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/rool.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/rool.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/rool.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/rool.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/rool_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/rool_silho.xml" ),

    Asset( "IMAGE", "bigportraits/rool.tex" ),
    Asset( "ATLAS", "bigportraits/rool.xml" ),
	
	Asset( "ATLAS", "images/krok.xml" ),
	Asset( "IMAGE", "images/krok.tex" ),

}

GLOBAL.STRINGS.NAMES.GUN = "Blunderbuss"
GLOBAL.STRINGS.RECIPE_DESC.GUN = "Dangerous up-close!"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.GUN = "Nothing on this earth can stop me now!"

-- strings! Any "rool" below would have to be replaced by the prefab name of your character.

-- The character select screen lines
-- note: these are lower-case character name
GLOBAL.STRINGS.CHARACTER_TITLES.rool = "The Kremling King"
GLOBAL.STRINGS.CHARACTER_NAMES.rool = "King K. Rool"  -- Note! This line is especially important as some parts of the game require
                                            -- the character to have a valid name.
GLOBAL.STRINGS.CHARACTER_DESCRIPTIONS.rool = "* Kind of a Lunatic. \n* Fat and Evil Tyrant \n* Blunderbuss"
GLOBAL.STRINGS.CHARACTER_QUOTES.rool = "\"I'll get those meddling kongs...\""

-- Let the game know rool is a male, for proper pronouns during the end-game sequence.
-- Possible genders here are MALE, FEMALE, or ROBOT
table.insert(GLOBAL.CHARACTER_GENDERS.MALE, "rool")

AddMinimapAtlas("images/krok.xml")

AddModCharacter("rool")

